#include <stdio.h>
#include "hudaqlib.h"


int main(void)
{
HUDAQHANDLE h;
const HudaqResourceInfo *HRI;
int i,j;
double value;

  h=HudaqOpenDevice("MF614",1,0);
  if(h==0)
    {
    h=HudaqOpenDevice("MF624",1,0);
    if(h==0)
      {printf("No HUDAQ device found\n"); return -1;}
    }  

  HRI=HudaqGetDeviceResources(h);
  for(i=0;i<HRI->NumMemResources;i++)
    {
    printf("\n Memory resource %d: Base:%Xh, Length:%Xh",
        i, HRI->MemResources[i].Base, HRI->MemResources[i].Length);
    }
  for(i=0;i<HRI->NumIOResources;i++)
    {
    printf("\n IO resource %d: Base:%Xh, Length:%Xh",
        i, HRI->IOResources[i].Base, HRI->IOResources[i].Length);
    }

  HudaqPWMWrite(h,0,120,.5);
  HudaqPWMWrite(h,1,240,.8);

  for (i=0; i<8; i++)
  {
    value = HudaqAIRead(h,i);
    printf("\nAnalog channel %d, value read %fV.", i, value);
  }
  
  printf("\nDigital input: %d",HudaqDIRead(h,0));
  
  HudaqCloseDevice(h);
return 0;
}
